### Function

# Camel file_util_decode_string

#### Declaration [src]

    gint
    camel_file_util_decode_string (
      FILE* in,
      gchar** str
    )

#### Description [src]

Decode a normal string from the input file.

#### Parameters

`in`

  Type: `FILE*`

  File to read from.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`str`

  Type: `gchar**`

  Pointer to a variable to store the value in.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

0 on success, -1 on error.